# Methods

enum Methods : Enum < Methods > (source)

Provides HTTP methods definitions.

## Entries

DELETE
Link copied to clipboard
DELETE
GET
Link copied to clipboard
GET
PATCH
Link copied to clipboard
PATCH
POST
Link copied to clipboard
POST

## Properties

name
Link copied to clipboard
val name : String
ordinal
Link copied to clipboard
val ordinal : Int

## Functions

valueOf
Link copied to clipboard
fun valueOf (value: String ): Methods

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values (): Array < Methods >

Returns an array containing the constants of this enum type, in the order they're declared.